CREATE SCHEMA "users";

CREATE SCHEMA "events";

CREATE SCHEMA "feedbacks";

CREATE SCHEMA "gifts";

CREATE TYPE "users"."sex" AS ENUM (
  'male',
  'female'
);

CREATE TABLE "users"."user" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "full_name" text NOT NULL,
  "birth_date" date NOT NULL,
  "sex" users.sex NOT NULL,
  "email" text UNIQUE NOT NULL,
  "phone_number" bigint UNIQUE NOT NULL,
  "address" text,
  "pass_hash" char(128) NOT NULL,
  "pass_salt" char(17) NOT NULL,
  "created_at" timestamp NOT NULL DEFAULT (current_timestamp)
);

CREATE TABLE "users"."client" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "user_id" int UNIQUE NOT NULL
);

CREATE TABLE "users"."friend" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "user_id" int UNIQUE NOT NULL
);

CREATE TABLE "users"."vacation" (
  "friend_id" int,
  "date" date,
  PRIMARY KEY ("friend_id", "date")
);

CREATE TABLE "events"."event" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "title" text NOT NULL,
  "description" text,
  "starts_at" timestamp NOT NULL,
  "ends_at" timestamp NOT NULL,
  "is_recurring" boolean NOT NULL DEFAULT false
);

CREATE TABLE "events"."party" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "creator_client_id" int NOT NULL,
  "event_id" int,
  "title" text,
  "description" text,
  "starts_at" timestamp NOT NULL,
  "ends_at" timestamp,
  "address" text,
  "created_at" timestamp NOT NULL DEFAULT (current_timestamp)
);

CREATE TABLE "events"."party_friend" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "friend_id" int NOT NULL,
  "party_id" int NOT NULL
);

CREATE TABLE "feedbacks"."complaint" (
  "party_friend_id" int PRIMARY KEY,
  "message" text NOT NULL,
  "created_at" timestamp NOT NULL DEFAULT (current_timestamp)
);

CREATE TABLE "feedbacks"."complaint_sign" (
  "complaint_party_friend_id" int,
  "signer_client_id" int,
  "signed_at" timestamp NOT NULL DEFAULT (current_timestamp)
);

CREATE TABLE "gifts"."gift" (
  "id" INT GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
  "creator_client_id" int NOT NULL,
  "description" text,
  "created_at" timestamp NOT NULL DEFAULT (current_timestamp)
);

CREATE TABLE "gifts"."giving" (
  "gift_id" int NOT NULL,
  "recipient_friend_id" int NOT NULL,
  "given_at" timestamp NOT NULL DEFAULT (current_timestamp),
  "returned_at" timestamp
);

CREATE UNIQUE INDEX ON "events"."party_friend" ("party_id", "friend_id");

COMMENT ON TABLE "users"."user" IS 'Any user of the service.';

COMMENT ON COLUMN "users"."user"."created_at" IS 'When this user joined the service, i.e. was added to the table';

COMMENT ON TABLE "users"."client" IS 'The customer who creates parties and rents friends for them.
And who creates gifts and gives them to friends.';

COMMENT ON TABLE "users"."friend" IS 'The volunteer who acts as a temporary friend on demand.';

COMMENT ON TABLE "users"."vacation" IS 'A day when a friend is unavailable to be rented.';

COMMENT ON TABLE "events"."event" IS 'A date and time with special meaning or when something happens.
All the events are visible for all service users.
The events are predefined by the service.
If the event is recurring - the year of it"s start_ts is ignored,
and the event is displayed for any year.';

COMMENT ON COLUMN "events"."event"."starts_at" IS 'What date and time the event starts at';

COMMENT ON COLUMN "events"."event"."ends_at" IS 'When the event ends. Must be greater than `starts_at`';

COMMENT ON COLUMN "events"."event"."is_recurring" IS 'Does the event happen each year or only once';

COMMENT ON TABLE "events"."party" IS 'A meeting or a celebration of specific event.
Is created or "scheduled" by a client.
The client can invite any available friends
to join the company at the time.

There is the separate `starts_at` field for party
in addition to the `events.event.starts_at`
because the party not necessarily must start
when the event starts. For example:
the New Year event is at 01-01 00:00:00, 
but the celebraion parties usually gather a few hours earlier.';

COMMENT ON COLUMN "events"."party"."starts_at" IS 'What date and time the party starts at';

COMMENT ON COLUMN "events"."party"."ends_at" IS 'When the event ends. Must be greater than `starts_at`';

COMMENT ON COLUMN "events"."party"."address" IS 'Where the party is held';

COMMENT ON COLUMN "events"."party"."created_at" IS 'When the party was announced by a user';

COMMENT ON TABLE "events"."party_friend" IS 'A friend, who was appointed to join a specific party by party creator';

COMMENT ON TABLE "feedbacks"."complaint" IS 'A report of inaproppriate, insulting or damaging behavior
of a friend, written and published by a client.
The client must participate a party with the friend
to be able to accuse them.';

COMMENT ON COLUMN "feedbacks"."complaint"."message" IS 'Reasons of the complaint';

COMMENT ON TABLE "feedbacks"."complaint_sign" IS 'A client who signs a complaint, confirming the accuse in it.
The signer must participate a party with the accused friend
to be able to sign the complaint against them.';

COMMENT ON TABLE "gifts"."gift" IS 'A representation of an object or service
a client can give to a friend of choice';

COMMENT ON TABLE "gifts"."giving" IS 'The act of transfering the ownership of the gift
from its creator to a friend. 
The recipient can return the gift back to the client.
In that case the client can give the gift again, to another friend.';

COMMENT ON COLUMN "gifts"."giving"."returned_at" IS 'must be greater than `given_at`';

ALTER TABLE "users"."client" ADD FOREIGN KEY ("user_id") REFERENCES "users"."user" ("id");

ALTER TABLE "users"."friend" ADD FOREIGN KEY ("user_id") REFERENCES "users"."user" ("id");

ALTER TABLE "users"."vacation" ADD FOREIGN KEY ("friend_id") REFERENCES "users"."friend" ("id");

ALTER TABLE "events"."party" ADD FOREIGN KEY ("creator_client_id") REFERENCES "users"."client" ("id");

ALTER TABLE "events"."party" ADD FOREIGN KEY ("event_id") REFERENCES "events"."event" ("id");

ALTER TABLE "events"."party_friend" ADD FOREIGN KEY ("friend_id") REFERENCES "users"."friend" ("id");

ALTER TABLE "events"."party_friend" ADD FOREIGN KEY ("party_id") REFERENCES "events"."party" ("id");

ALTER TABLE "feedbacks"."complaint" ADD FOREIGN KEY ("party_friend_id") REFERENCES "events"."party_friend" ("id");

ALTER TABLE "feedbacks"."complaint_sign" ADD FOREIGN KEY ("complaint_party_friend_id") REFERENCES "feedbacks"."complaint" ("party_friend_id");

ALTER TABLE "feedbacks"."complaint_sign" ADD FOREIGN KEY ("signer_client_id") REFERENCES "users"."client" ("id");

ALTER TABLE "gifts"."gift" ADD FOREIGN KEY ("creator_client_id") REFERENCES "users"."client" ("id");

ALTER TABLE "gifts"."giving" ADD FOREIGN KEY ("gift_id") REFERENCES "gifts"."gift" ("id");

ALTER TABLE "gifts"."giving" ADD FOREIGN KEY ("recipient_friend_id") REFERENCES "users"."friend" ("id");
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (1, 'Jacinthe Purvis', '1963-05-20', 'female', 'jpurvis0@hud.gov', 380221364794, '1 Hazelcrest Terrace', '9f4d5274381c3ff8da8a04bfb6860644684ed79b81fdeee0c9f5b342027de7c99f4d5274381c3ff8da8a04bfb6860644684ed79b81fdeee0c9f5b342027de7c9', 'qyh76upz7mj23wuxt');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (2, 'Jackquelin Banner', '1969-06-14', 'male', 'jbanner1@soundcloud.com', 380438970593, null, '384cf1ce80c7c1ba392ce52362ffa43907e6f24ad8bdd4ac8ecc9699e4770029384cf1ce80c7c1ba392ce52362ffa43907e6f24ad8bdd4ac8ecc9699e4770029', 'tbbx1t3askjmriu92');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (3, 'Latisha Gadie', '1957-07-14', 'female', 'lgadie2@cpanel.net', 380721237923, null, '39a66c1290aee2c95586077b37e37bdae11c52347372a0190ccf315e810d522e39a66c1290aee2c95586077b37e37bdae11c52347372a0190ccf315e810d522e', 'hyfx3ne7ttv8m1fws');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (4, 'Otes Chaperlin', '1997-02-22', 'male', 'ochaperlin3@imdb.com', 380386383698, null, 'a94f4f5ff8b1f816edc35a1c565a482db69ad135bb9826a74d6e3635644a56a2a94f4f5ff8b1f816edc35a1c565a482db69ad135bb9826a74d6e3635644a56a2', 'a172f0qffyhj2u65i');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (5, 'Theobald Raw', '1968-08-13', 'female', 'traw4@meetup.com', 380510389298, null, '074f2057d15e6b9bc71174373d5298e90975a6ae038086fd5568c16285c9db31074f2057d15e6b9bc71174373d5298e90975a6ae038086fd5568c16285c9db31', 'bh386vqxwymhll20b');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (6, 'Fredericka Danson', '1968-07-16', 'male', 'fdanson5@gizmodo.com', 380256401668, '9 Parkside Road', 'a3bf027aa2cf41c79fa8b367ec7582e7877e87bf2e88595d9cc9a163edc985c1a3bf027aa2cf41c79fa8b367ec7582e7877e87bf2e88595d9cc9a163edc985c1', 'k51nfu84kffxcw6te');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (7, 'Todd Stannah', '1991-08-28', 'male', 'tstannah6@imdb.com', 380509914204, '4055 Comanche Place', 'c9c6b7367ca811d6b72eea74019567030027b8b6ff13b50e498abb59e36a0c98c9c6b7367ca811d6b72eea74019567030027b8b6ff13b50e498abb59e36a0c98', 'bcxi6cr0mz9k4st3h');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (8, 'Timmi Ham', '1943-08-28', 'male', 'tham7@independent.co.uk', 380909059158, null, 'b49d180ad730e28a3981ca51e19208d3c5ceb122d979d877827a20c71e39e18db49d180ad730e28a3981ca51e19208d3c5ceb122d979d877827a20c71e39e18d', 'e8ipz4hhbmz1hsr18');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (9, 'Siana Durbin', '1956-01-15', 'female', 'sdurbin8@cisco.com', 380345506875, '74537 Lukken Park', '4c12c887172f8bcb7e23370d9e11e8923bfcb12456c2f7aa035202a126e136dc4c12c887172f8bcb7e23370d9e11e8923bfcb12456c2f7aa035202a126e136dc', '94swdelu461dugilf');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (10, 'Kingsley Rugiero', '1967-01-12', 'female', 'krugiero9@ow.ly', 380164964345, '6723 Derek Drive', '174164d0e8e86a0359043ac2dc3f0feb70594b7e8bc1175deb2f10f3cea4b042174164d0e8e86a0359043ac2dc3f0feb70594b7e8bc1175deb2f10f3cea4b042', '1whta7qp5wwllayz2');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (11, 'Marty Claige', '1947-06-10', 'male', 'mclaigea@prweb.com', 380616789749, null, 'a1c16898a1730516a127697ae25b548c2b396adb159f9027775865563e0794c3a1c16898a1730516a127697ae25b548c2b396adb159f9027775865563e0794c3', '5h015i2c4h0nrbokb');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (12, 'Cletis Kalker', '1969-03-04', 'male', 'ckalkerb@nasa.gov', 380810219940, '5044 Dunning Plaza', '695d592c26cef2d1ddfe78a576fd1485161df48ae5211b61c9e14ae9bea5c1b3695d592c26cef2d1ddfe78a576fd1485161df48ae5211b61c9e14ae9bea5c1b3', 'w8kso6cm0mukgijd9');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (13, 'Morris Bransden', '1996-07-23', 'female', 'mbransdenc@discuz.net', 380530532497, '152 Emmet Alley', '8b87005b7731db2ed0f1063ba4888558542d6dc4f947043e20f7a629e0e4484b8b87005b7731db2ed0f1063ba4888558542d6dc4f947043e20f7a629e0e4484b', 'l0841qegj28qkm313');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (14, 'Filia Ecclesall', '1995-01-29', 'female', 'fecclesalld@salon.com', 380850996536, null, 'c54e6079dba3d526ff7eda83184a9578311ee3c8f7911418b569209c1faeb745c54e6079dba3d526ff7eda83184a9578311ee3c8f7911418b569209c1faeb745', 'rbqvl7qzovi0j09ui');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (15, 'Ellette Porkiss', '1976-09-13', 'male', 'eporkisse@furl.net', 380281505196, '618 Esch Park', 'a4fd6eb27b39a4cd2ed32489ede7c9006a935e00c47ad02359b7ae2b6d7c1c3da4fd6eb27b39a4cd2ed32489ede7c9006a935e00c47ad02359b7ae2b6d7c1c3d', 'xsutdad3c8z9qlyr8');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (16, 'Brier Presnail', '1946-09-30', 'male', 'bpresnailf@cbc.ca', 380179787241, '48 Warbler Place', '5f2862a034ff4c4f685689d4624f072fc3e17a78b5e4f88aaef7058b177be6135f2862a034ff4c4f685689d4624f072fc3e17a78b5e4f88aaef7058b177be613', '0xf48bpf0rb2qju09');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (17, 'Emogene Foulks', '1947-04-24', 'male', 'efoulksg@drupal.org', 380815856760, '75 High Crossing Court', '9271afc9e2301b0e105a8015b9de8307d92c87802fca9c0e710dc5bdbcec1b099271afc9e2301b0e105a8015b9de8307d92c87802fca9c0e710dc5bdbcec1b09', '72d4b0wo5r9xw897v');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (18, 'Cathe Petran', '1997-03-01', 'female', 'cpetranh@fastcompany.com', 380649377491, null, '186810d840ca2b5af9ce17716edb2f69ddb334748397f15667c91e8921246b51186810d840ca2b5af9ce17716edb2f69ddb334748397f15667c91e8921246b51', 'lza09ksqb7mgvidp6');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (19, 'Blinni Oliveto', '1944-11-23', 'female', 'bolivetoi@slashdot.org', 380452885371, null, '13d414fb87df1d5fadde797d3e9139cdbe3dba08f71ea458dde7e5558ab4effe13d414fb87df1d5fadde797d3e9139cdbe3dba08f71ea458dde7e5558ab4effe', '68wttrfc2nwpzjxcc');
insert into users.user (id, full_name, birth_date, sex, email, phone_number, address, pass_hash, pass_salt) values (20, 'Sybille Aimeric', '1960-11-14', 'male', 'saimericj@ted.com', 380749530460, null, 'fc19891aaab32801c8d3c30ec7b5df5a0e102db832acfc1bd2debae710aa60e6fc19891aaab32801c8d3c30ec7b5df5a0e102db832acfc1bd2debae710aa60e6', 'j9mra5dufljooock8');
insert into users.client (user_id) values
	(1),
	(2),
	(3),
	(4),
	(5),
	(6),
	(7),
	(8),
	(9),
	(10);
insert into users.friend (user_id) values
	(11),
	(12),
	(13),
	(14),
	(15),
	(16),
	(17),
	(18),
	(19),
	(20);
insert into users.vacation (friend_id, date) values
	(9, '2008-05-09'),
	(3, '1982-01-17'),
	(8, '2017-02-28'),
	(7, '2017-11-09'),
	(4, '1994-03-30'),
	(2, '2006-06-13'),
	(1, '2009-02-01'),
	(1, '2014-10-01'),
	(10, '2002-12-16'),
	(1, '1995-01-11'),
	(5, '1986-05-29'),
	(6, '2017-12-27'),
	(1, '2002-05-28'),
	(10, '2015-03-15'),
	(5, '1996-07-22'),
	(4, '2012-07-16'),
	(8, '2004-04-11'),
	(6, '2021-04-16'),
	(3, '2020-07-11'),
	(4, '2019-04-22');
insert into events.event (title, description, starts_at, ends_at, is_recurring) values
	('viverra', 'Morbi porttitor lorem id ligula. Suspendisse ornare consequat lectus. In est risus, auctor sed, tristique in, tempus sit amet, sem.', '2019-02-19 06:45:56', '2019-02-19 15:44:56', true),
	('semper', 'Fusce posuere felis sed lacus. Morbi sem mauris, laoreet ut, rhoncus aliquet, pulvinar sed, nisl.', '2037-04-11 10:47:21', '2037-04-11 17:55:21', false),
	('nibh ligula nec sem', 'Ut tellus. Nulla ut erat id mauris vulputate elementum. Nullam varius.', '2011-08-22 02:49:12', '2011-08-22 10:51:12', false),
	('mauris enim', 'Curabitur at ipsum ac tellus semper interdum. Mauris ullamcorper purus sit amet nulla. Quisque arcu libero, rutrum ac, lobortis vel, dapibus at, diam.', '1996-03-20 22:46:50', '1996-03-21 07:23:50', false),
	('rutrum rutrum neque aenean', 'Donec odio justo, sollicitudin ut, suscipit a, feugiat et, eros. Vestibulum ac est lacinia nisi venenatis tristique. Fusce congue, diam id ornare imperdiet, sapien urna pretium nisl, ut volutpat sapien arcu sed augue.', '1981-11-12 14:18:47', '1981-11-12 19:47:47', false),
	('porta', 'Maecenas pulvinar lobortis est. Phasellus sit amet erat. Nulla tempus.', '2019-06-28 02:11:57', '2019-06-29 09:02:57', true),
	('id massa', 'Morbi vel lectus in quam fringilla rhoncus. Mauris enim leo, rhoncus sed, vestibulum sit amet, cursus id, turpis.', '2029-07-27 13:53:39', '2029-07-27 17:40:39', true),
	('mauris morbi non lectus', 'Fusce lacus purus, aliquet at, feugiat non, pretium quis, lectus. Suspendisse potenti.', '2031-02-01 03:20:36', '2031-02-01 13:42:36', false),
	('et', 'Integer ac leo. Pellentesque ultrices mattis odio. Donec vitae nisi.', '2031-06-26 01:29:37', '2031-06-26 02:02:37', true),
	('sapien cum', 'Integer pede justo, lacinia eget, tincidunt eget, tempus vel, pede. Morbi porttitor lorem id ligula.', '2034-08-02 02:44:23', '2034-08-02 15:02:23', true),
	('etiam faucibus cursus urna', 'Ut at dolor quis odio consequat varius. Integer ac leo. Pellentesque ultrices mattis odio.', '2028-04-01 11:12:19', '2028-04-01 21:55:19', true),
	('pellentesque volutpat dui maecenas', 'Etiam pretium iaculis justo.', '2021-07-15 02:14:00', '2021-07-15 17:24:00', false),
	('libero quis', 'Sed sagittis. Nam congue, risus semper porta volutpat, quam pede lobortis ligula, sit amet eleifend pede libero quis orci.', '2012-11-21 19:24:07', '2012-11-22 22:13:07', false),
	('pretium nisl', 'Pellentesque viverra pede ac diam. Cras pellentesque volutpat dui.', '2007-02-17 17:46:50', '2007-02-18 12:13:50', true),
	('justo in', 'Donec ut dolor. Morbi vel lectus in quam fringilla rhoncus. Mauris enim leo, rhoncus sed, vestibulum sit amet, cursus id, turpis.', '2011-04-28 08:35:52', '2011-04-29 04:43:52', true),
	('mauris non', 'Fusce congue, diam id ornare imperdiet, sapien urna pretium nisl, ut volutpat sapien arcu sed augue. Aliquam erat volutpat.', '1983-08-08 16:39:10', '1983-08-09 08:11:10', false),
	('mauris laoreet', 'Donec ut mauris eget massa tempor convallis. Nulla neque libero, convallis eget, eleifend luctus, ultricies eu, nibh. Quisque id justo sit amet sapien dignissim vestibulum.', '2023-05-05 19:40:10', '2023-05-07 02:36:10', true),
	('penatibus et', 'Suspendisse accumsan tortor quis turpis. Sed ante. Vivamus tortor.', '2001-12-12 10:53:57', '2001-12-12 13:56:57', false),
	('ante ipsum', 'Proin eu mi. Nulla ac enim.', '1993-11-25 10:10:16', '1993-11-26 17:59:16', true),
	('montes nascetur ridiculus', 'Ut at dolor quis odio consequat varius. Integer ac leo. Pellentesque ultrices mattis odio.', '2010-07-09 03:19:29', '2010-07-09 12:24:29', true);
insert into events.party (creator_client_id, event_id, title, description, starts_at, ends_at, address) values
	(8, null, 'justo', 'Donec vitae nisi.', '1998-11-21 19:03:28', '1998-11-22 22:25:28', '4 Arkansas Avenue'),
	(8, 5, 'elementum pellentesque quisque porta', 'Maecenas tristique, est et tempus semper, est quam pharetra magna, ac consequat metus sapien ut nunc.', '2010-02-17 08:37:50', '2010-02-18 11:25:50', '39 Bowman Center'),
	(10, null, 'diam neque', 'Praesent blandit. Nam nulla. Integer pede justo, lacinia eget, tincidunt eget, tempus vel, pede.', '2024-04-15 20:40:53', '2024-04-16 05:11:53', '561 Killdeer Alley'),
	(2, null, 'sapien quis libero nullam', 'Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam vel augue. Vestibulum rutrum rutrum neque.', '2033-12-12 13:04:11', '2033-12-13 01:52:11', '7308 Messerschmidt Plaza'),
	(2, null, 'eget nunc', 'Suspendisse potenti. In eleifend quam a odio. In hac habitasse platea dictumst.', '2032-01-03 08:35:21', '2032-01-03 19:16:21', '82021 Moland Crossing'),
	(10, null, 'ipsum', 'Maecenas tristique, est et tempus semper, est quam pharetra magna, ac consequat metus sapien ut nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Mauris viverra diam vitae quam.', '2021-10-16 17:17:20', '2021-10-17 17:03:20', '34713 Norway Maple Place'),
	(9, 9, 'justo eu massa', 'Suspendisse accumsan tortor quis turpis. Sed ante.', '2028-03-18 14:11:44', '2028-03-18 14:44:44', '8827 Artisan Court'),
	(9, 9, 'donec posuere metus vitae', 'Mauris ullamcorper purus sit amet nulla. Quisque arcu libero, rutrum ac, lobortis vel, dapibus at, diam.', '1983-03-26 02:30:12', '1983-03-26 23:57:12', '51 Hollow Ridge Street'),
	(1, null, 'dapibus', 'Donec ut mauris eget massa tempor convallis. Nulla neque libero, convallis eget, eleifend luctus, ultricies eu, nibh.', '1995-08-28 14:28:51', '1995-08-29 01:00:51', '4 Badeau Center'),
	(7, null, 'tortor duis', 'Phasellus in felis. Donec semper sapien a libero.', '1994-08-09 05:34:02', '1994-08-09 13:03:02', '7411 Nelson Park'),
	(4, 11, 'ante nulla justo', 'Fusce posuere felis sed lacus. Morbi sem mauris, laoreet ut, rhoncus aliquet, pulvinar sed, nisl. Nunc rhoncus dui vel sem.', '2035-09-05 03:53:32', '2035-09-05 12:18:32', '686 Village Green Lane'),
	(7, null, 'lectus pellentesque eget', 'In blandit ultrices enim. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.', '2003-08-20 18:36:26', '2003-08-21 23:45:26', '92923 Anderson Trail'),
	(1, 12, 'sapien a libero nam', 'Morbi vestibulum, velit id pretium iaculis, diam erat fermentum justo, nec condimentum neque sapien placerat ante. Nulla justo.', '2040-01-23 06:06:48', '2040-01-23 19:24:48', '87689 Sunbrook Pass'),
	(4, null, 'semper est', 'Quisque porta volutpat erat.', '2023-01-21 09:02:08', '2023-01-22 00:28:08', '71174 Paget Drive'),
	(3, null, 'vestibulum proin eu mi', 'Morbi porttitor lorem id ligula. Suspendisse ornare consequat lectus.', '2001-03-31 12:28:51', '2001-04-01 05:25:51', '2890 Anderson Terrace'),
	(6, 12, 'lacinia sapien quis libero', 'Praesent lectus.', '2014-03-14 05:26:50', '2014-03-14 21:46:50', '3 Rigney Drive'),
	(5, null, 'leo rhoncus sed vestibulum', 'Donec ut dolor.', '2010-04-26 15:42:37', '2010-04-27 15:04:37', '05212 Arizona Pass'),
	(3, 2, 'rhoncus', 'In quis justo.', '2025-05-13 01:02:46', '2025-05-13 23:28:46', '073 Manley Pass'),
	(10, null, 'nam', 'Fusce congue, diam id ornare imperdiet, sapien urna pretium nisl, ut volutpat sapien arcu sed augue. Aliquam erat volutpat.', '2037-07-27 13:59:24', '2037-07-28 05:53:24', '8 Main Lane'),
	(9, null, 'eleifend pede libero', 'In hac habitasse platea dictumst.', '2001-12-05 21:06:54', '2001-12-06 12:54:54', '797 Bayside Street');
insert into events.party_friend (friend_id, party_id) values
	(8, 15),
	(4, 18),
	(3, 2),
	(10, 9),
	(5, 16),
	(3, 11),
	(4, 9),
	(7, 14),
	(3, 15),
	(3, 9),
	(9, 15),
	(6, 8),
	(1, 17),
	(4, 3),
	(7, 3),
	(8, 1),
	(4, 20),
	(2, 4),
	(8, 2),
	(3, 19);
insert into gifts.gift (creator_client_id, description) values
	(9, 'Integer tincidunt ante vel ipsum.'),
	(3, 'In eleifend quam a odio.'),
	(8, 'Duis at velit eu est congue elementum.'),
	(2, 'Proin eu mi. Nulla ac enim.'),
	(5, 'Duis consequat dui nec nisi volutpat eleifend.'),
	(2, 'Duis at velit eu est congue elementum.'),
	(6, 'Curabitur convallis.'),
	(6, 'Fusce lacus purus, aliquet at, feugiat non, pretium quis, lectus.'),
	(9, 'Donec ut mauris eget massa tempor convallis.'),
	(3, 'In hac habitasse platea dictumst. Maecenas ut massa quis augue luctus tincidunt.'),
	(7, 'Duis mattis egestas metus.'),
	(10, 'Nulla justo. Aliquam quis turpis eget elit sodales scelerisque.'),
	(8, 'Curabitur in libero ut massa volutpat convallis.'),
	(4, 'Nam nulla. Integer pede justo, lacinia eget, tincidunt eget, tempus vel, pede.'),
	(7, 'In blandit ultrices enim.'),
	(5, 'Mauris sit amet eros. Suspendisse accumsan tortor quis turpis.'),
	(9, 'Duis at velit eu est congue elementum. In hac habitasse platea dictumst.'),
	(4, 'Nulla justo. Aliquam quis turpis eget elit sodales scelerisque.'),
	(3, 'In congue. Etiam justo.'),
	(4, 'Praesent blandit. Nam nulla.');
insert into gifts.giving (gift_id, recipient_friend_id, given_at, returned_at) values
	(10, 10, '2021-08-13 05:54:21', '2021-08-15 04:40:21'),
	(1, 3, '2021-07-22 23:42:40', null),
	(17, 5, '2022-04-25 10:48:48', '2022-05-17 17:43:48'),
	(17, 4, '2021-11-25 21:44:52', '2021-12-07 13:35:52'),
	(15, 1, '2021-10-09 22:40:54', null),
	(20, 10, '2022-07-15 11:54:49', '2022-07-28 12:58:49'),
	(11, 9, '2022-07-24 01:21:53', '2022-08-08 07:44:53'),
	(3, 9, '2022-08-05 15:57:00', null),
	(4, 8, '2022-01-11 06:20:45', '2022-01-21 10:23:45'),
	(8, 8, '2022-05-12 15:32:28', '2022-05-29 13:36:28'),
	(1, 3, '2022-06-28 09:22:03', null),
	(8, 6, '2022-09-27 13:15:01', null),
	(12, 7, '2021-07-27 20:19:22', '2021-08-11 21:15:22'),
	(20, 2, '2022-05-10 12:04:21', '2022-05-20 13:10:21'),
	(19, 4, '2022-09-26 03:34:54', null),
	(5, 6, '2021-02-16 04:35:34', null),
	(11, 10, '2021-05-24 13:15:47', '2021-06-02 22:09:47'),
	(6, 3, '2021-12-25 02:16:41', null),
	(16, 6, '2021-07-06 13:04:54', '2021-07-25 19:36:54'),
	(16, 5, '2021-12-12 04:39:42', null);
insert into feedbacks.complaint (party_friend_id, message) values
	(1, 'Proin leo odio, porttitor id, consequat in, consequat ut, nulla. Sed accumsan felis.'),
	(5, 'In quis justo.'),
	(8, 'Vivamus metus arcu, adipiscing molestie, hendrerit at, vulputate vitae, nisl.'),
	(13, 'In congue. Etiam justo.'),
	(17, 'Curabitur in libero ut massa volutpat convallis. Morbi odio odio, elementum eu, interdum eu, tincidunt in, leo.');

insert into feedbacks.complaint_sign (complaint_party_friend_id, signer_client_id) values
    (1, 3),
    (1, 7),
    (1, 2),
    (1, 8),
    (5, 6),
    (5, 3),
    (5, 4),
    (8, 4),
    (8, 1),
    (13, 5),
    (17, 9);